#!/bin/sh

name="blackbox"
title="Blackbox"
package="blackbox"
version="0.65.0"
build="1"
noarch="n"
build_info="Standard build."

info="A window manager for X11 written in C++."
desc="Blackbox is yet another addition to the list of window managers
for X. It is written in C++, sharing no common code with any
other window manager (even though the graphics implementation is
similar to that of WindowMaker). It features small code size, a
fast interface with simple menus, multiple workspaces, decorated
windows, built-in graphics code to render solids, gradients, and
bevels on the fly, and more."
category="desktop/wm"
environment="x11"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,ChangeLog,INSTALL,LICENSE,README*,TODO,data/README.{menu,style}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://belnet.dl.sourceforge.net/sourceforge/blackboxwm/$name-$version.tar.gz

configure_option --prefix=/usr/X11R6

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

copy $src_pkg/xinitrc.blackbox $pkg_main/etc/X11/xinit
chmod a+x $pkg_main/etc/X11/xinit/xinitrc.blackbox

make_docs

make_package main

clean_up

# $Log: blackbox.builder,v $
# Revision 1.4  2003/01/08 11:52:50  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/07 23:59:11  swiergot
# - Fixed chmodding a+x xinitrc.blackbox.
#
# Revision 1.2  2003/01/07 23:47:32  swiergot
# - Force building.
#
# Revision 1.1  2003/01/07 23:22:17  swiergot
# - Initial release.
# - Version 0.65.0.
#
